Browse Source

Merge "Remove support for iSCSI deploy from the DIB builder"

changes/99/809299/1
Zuul 8 months ago committed by Gerrit Code Review
parent
commit
8f8cff29b5
  1. 3
      dib/ironic-python-agent-ramdisk/package-installs.yaml
  2. 10
      dib/ironic-python-agent-ramdisk/pkg-map
  3. 5
      releasenotes/notes/no-iscsi-5d132e6468acab0b.yaml

3
dib/ironic-python-agent-ramdisk/package-installs.yaml

@ -1,4 +1,3 @@
tgt:
curl:
# dmidecode does not exist for ppc* arches so we use lshw
dmidecode:
@ -26,6 +25,8 @@ efivar:
chrony:
e2fsprogs:
nvme-cli:
# This provides iscsistart which is required for iBFT support
open-iscsi:
libffi-dev:
build-only: true

10
dib/ironic-python-agent-ramdisk/pkg-map

@ -3,15 +3,13 @@
"rhel": {
"7": {
"python": "python",
"python-dev": "python-devel",
"tgt": "scsi-target-utils"
"python-dev": "python-devel"
}
},
"centos": {
"7": {
"python": "python",
"python-dev": "python-devel",
"tgt": "scsi-target-utils"
"python-dev": "python-devel"
}
}
},
@ -19,9 +17,9 @@
"redhat": {
"libffi-dev": "libffi-devel",
"libssl-dev": "openssl-devel",
"open-iscsi": "iscsi-initiator-utils",
"python-dev": "python3-devel",
"qemu-utils": "qemu-img",
"tgt": "target-restore"
"qemu-utils": "qemu-img"
},
"suse": {
"qemu-utils": "qemu",

5
releasenotes/notes/no-iscsi-5d132e6468acab0b.yaml

@ -0,0 +1,5 @@
---
upgrade:
- |
The ``iscsi`` deploy interface is no longer supported by the DIB builder,
use ironic-python-agent-builder 2.7.0 or older for it.
Loading…
Cancel
Save